Name: ca_BELNET-Root
Version: 1.26
Release: 1
Source: ca_BELNET-Root-1.26.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_BELNET-Root-1.26/fd30a60e.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for  experimental authority BELNET-Root

%if %([ -n "https://gridra.begrid.be/" ] && echo 1 || echo 0)
URL: https://gridra.begrid.be/
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Requires: 
%endif

%prep
%setup -n ca_BELNET-Root-1.26

%description
This is the trust anchor for the  experimental authority BELNET-Root.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr fd30a60e.* $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

